#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

"""Test of sayAll."""

from macaroon.playback import *
import utils

sequence = MacroSequence()

#sequence.append(WaitForDocLoad())
sequence.append(PauseAction(5000))
sequence.append(KeyComboAction("<Control>Home"))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("KP_Add"))
sequence.append(utils.AssertPresentationAction(
    "1. KP_Add to do a SayAll",
    ["SPEECH OUTPUT: 'Table test'",
     "SPEECH OUTPUT: 'foo'",
     "SPEECH OUTPUT: 'bar'",
     "SPEECH OUTPUT: 'foo",
     "foo'",
     "SPEECH OUTPUT: 'bar",
     "bar'",
     "SPEECH OUTPUT: 'Hello'",
     "SPEECH OUTPUT: 'heading level 3'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'This is a test'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'that is not very interesting.'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'But it looks like'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'a real-world example.'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'And that's'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'why this silly test is here.'",
     "SPEECH OUTPUT: 'So it's'",
     "SPEECH OUTPUT: 'far more interesting'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'than it looks.'",
     "SPEECH OUTPUT: 'World'",
     "SPEECH OUTPUT: 'heading level 3'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'The thing is'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'we can't copy content.'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'So we must'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'create silly tests.'",
     "SPEECH OUTPUT: '•'",
     "SPEECH OUTPUT: 'Oh'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'well.'",
     "SPEECH OUTPUT: 'At least it's'",
     "SPEECH OUTPUT: 'over'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: '.'"]))

sequence.append(utils.AssertionSummaryAction())
sequence.start()
